Bug 430095 - Information Panel is not updated when a selected file is overwritten
Summary: Information Panel is not updated when a selected file is overwritten
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: information (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-06 22:03 UTC by Patrick Silva
Modified: 2021-04-24 09:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-12-06 22:03:19 UTC
STEPS TO REPRODUCE
1. open Dolphin
2. enable information panel by pressing F11
3. select a file with preview (I have reproduced this bug on my system with mp4 and png files)
4. use another app to overwrite the selected file (I have used Opera internet browser to do it
saving a file with the same name to its location)
5. switch back to Dolphin window 

OBSERVED RESULT
the file that replaced the initially selected one is selected in Dolphin but the information panel is still showing preview and details of the already replaced file

EXPECTED RESULT
information panel should immediately be updated after the step 4

SOFTWARE/OS VERSIONS
Dolphin 20.12 RC
Operating System: Arch Linux
KDE Plasma Version: 5.20.4
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.2
Comment 1 Bug Janitor Service 2020-12-07 08:23:37 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/136
Comment 2 Méven Car 2021-04-24 09:00:44 UTC
Git commit 6cec386192e58089b4572996a265c9696cdcb3c0 by Méven Car.
Committed on 24/04/2021 at 09:00.
Pushed by meven into branch 'master'.

InformationPanel: Allow to refresh the panel when its displayed content changes
Related: bug 412902
FIXED-IN: 21.08

M  +4    -1    src/dolphinmainwindow.cpp
M  +10   -1    src/dolphinmainwindow.h
M  +14   -0    src/kitemviews/kfileitemmodel.cpp
M  +6    -0    src/kitemviews/kfileitemmodel.h
M  +10   -0    src/panels/information/informationpanel.cpp
M  +2    -0    src/panels/information/informationpanel.h
M  +1    -0    src/views/dolphinview.cpp
M  +2    -0    src/views/dolphinview.h

https://invent.kde.org/system/dolphin/commit/6cec386192e58089b4572996a265c9696cdcb3c0